UFTDI(4)

NAME
uftdi - USB support for serial adapters based on the FT8U100AX and FT8U232AM chips

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device uftdi

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    uftdi_load="YES"

DESCRIPTION
The uftdi driver provides support for various serial adapters based on the FTDI FT2232C, FT8U100AX and FT8U232AM chips.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

HARDWARE
The uftdi driver supports the following adapters:

•   B&B Electronics USB->RS422/485 adapter
•   Elexol USB MOD1 and USB MOD3
•   HP USB-Serial adapter shipped with some HP laptops
•   Inland UAS111
•   QVS USC-1000
•   Buffalo PC-OP-RS / Kurouto-shikou KURO-RS universal remote
•   Prologix GPIB-USB Controller

SEE ALSO
tty(4), ucom(4), usb(4)

HISTORY
The uftdi driver appeared in FreeBSD 4.8 from NetBSD 1.5.